import { FC } from 'react';
import { Option, Theme } from './types';
interface ColumnSelectProps {
    /**
     * The array of available select options.
     */
    options: Option[];
    /**
     * Disable double clicking to add/remove a list option.
     * @default false
     */
    disableDoubleClick?: boolean;
    /**
     * Disable keyboard navigation on the list of options.
     * @default false
     */
    disableKeyboard?: boolean;
    /**
     * The react-column-select theme object.
     */
    theme?: Theme;
}
declare const ColumnSelect: FC<ColumnSelectProps>;
export default ColumnSelect;
